This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 171541 - Review Request: kimdaba: KDE Image Database
Review Request: kimdaba: KDE Image Database
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://ktown.kde.org/kimdaba/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-22 14:02 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-23 12:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-22 14:02:56 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kimdaba-2.1-2.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kimdaba-2.1-2.src.rpm
Description: 
An image database tool.  KimDaBa focuses on three key points:
  * It must be easy to describe a number of images at a time.
  * It must be easy to search for images.
  * It must be easy to browse and View the images.

Can (optionally) use kipi-plugins
Comment 1 Aurelien Bompard 2005-10-22 17:03:32 EDT
Needs work:
* rpmlint of kimdaba: Applications/Graphics (should be Applications/Multimedia,
like digikam)
* The package should contain the text of the license (COPYING file)
  (wiki: PackageReviewGuidelines)
* Missing dependancy on update-desktop-database for %post and %postun (in
package desktop-file-utils)
* as for other recent packages:
  * remove debug_package test on make install
  * enable gtk-update-icon-cache in scriptlets
* looks like you're getting rid of kde-redhat specific tags in CVS, please do it
here too. (dist tag and BRs)
Comment 2 Rex Dieter 2005-10-22 17:12:58 EDT
%changelog
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-3
- %%doc: COPYING
- Req(post,postun): update-desktop-database
- gtk-update-icon-cache
- remove unused crud (kde-redhat bits)
- Group: Applications/Multimedia
- drop %%{?debug_package} conditionals

Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kimdaba-2.1-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kimdaba-2.1-3.src.rpm
Comment 3 Aurelien Bompard 2005-10-22 17:39:11 EDT
Why drop Application in the desktop file category ? From
http://fedoraproject.org/wiki/Extras/FedoraDesktopEntryGuidelines :
« All Categories must be from the standard set (see below), with the exception
that the "Application" category should be included where appropriate (ie. for
everything that is supposed to be shown in the menus) for backwards
compatibility even though it is not listed as a standard category. »
Comment 4 Rex Dieter 2005-10-22 17:52:15 EDT
crap, I knew there was a reason to keep Application, even if it wasn't mentioned
in the spec.
Comment 5 Aurelien Bompard 2005-10-22 17:57:06 EDT
Yeah, it looks like it's needed for the "Other" submenu :
/etc/xdg/menus/applications.menu, and possibly elsewhere.
Comment 6 Rex Dieter 2005-10-22 17:58:39 EDT
%changelog
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-4
- --add-category Application

Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kimdaba-2.1-4.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redh
Comment 8 Aurelien Bompard 2005-10-23 04:13:07 EDT
Review for release 4:
* RPM name is OK
* Source kimdaba-2.1.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of kimdaba looks OK
* File list of kimdaba looks OK
* Works fine
APPROVED
Comment 9 Rex Dieter 2006-07-06 10:29:25 EDT
FYI, name deprecated, package renamed upstream to kphotoalbum.

Note You need to log in before you can comment on or make changes to this bug.